postgres:
  databases_query: [postgres]
  schemas_query: [public, pg_catalog]
  owners_query: [admin]

acls:
  ro:
  - __connect__
  - __usage_on_schemas__
  - __select_on_tables__

  rw:
  - __insert_on_tables__
  - __update_on_tables__
  - __delete_on_tables__

  admin:
  - __create_on_schemas__

sync_map:
- role:
    name: intru
    options: LOGIN
- role:
    name: lecteur
    options: LOGIN
  grant:
    acl: ro
    role: lecteur
    database: postgres
    schema: __all__
- role:
    name: éditeur
    parent: lecteur
    options: LOGIN
  grant:
    acl: rw
    role: éditeur
    schema: public
- role:
    name: admin
    parent: éditeur
    options: LOGIN
  grant:
  - acl: admin
    role: admin
    schema: public
  - acl: rw
    role: admin
    schema: pg_catalog
